rpm を使用して httpd-2.0.40-21.11

をインストールしています。
srcでインストールする時と違い、rpmには./configure オプションがないのでしょうか?
例えば
#./configure --enable-shared=max --enable-module=most

のような設定ができないのでしょうか?
もしできないとしたら、どのように対処すればよいのでしょうか?

よろしくお願いします。

回答の条件
  • URL必須
  • 1人2回まで
  • 登録:2006/06/05 13:59:54
  • 終了:2006/06/06 15:32:55

回答(1件)

id:toohigh No.1

toohigh回答回数291ベストアンサー獲得回数372006/06/05 14:11:53

ポイント60pt

rpm 形式のパッケージは、rpm を作成した人がお勧めと考えたオプションで

configure , make , make install を実行した結果のファイル群をまとめた

ものになっています。言い換えると「./configure の必要がない」ということで

あり、「./configure オプションの選択はできない」ということになります。

対処法として考えられるのは、自分で rpm パッケージを作る、ということになるわけ

ですが、その場合、ベンダーから SRPM というソース版の rpm のようなものを

入手してがんばる、という方法があります。

http://www.itmedia.co.jp/enterprise/0309/26/epn02.html

もちろん、本来のソース ( .tar.gz 形式などのもの ) を入手して configure などを

普通に実行する、という方法も利用可能ですが、その場合は、rpm でインストールした

ファイルとの整合性などの点に特に注意が必要です。

id:wm107p

ありがとうございます。

2006/06/05 14:21:43

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません